Args <- commandArgs();
library(stringr)
source("/proj/b2014296/SOMAC_v01/somac_function.R")
filename<-Args[3] ###snvcount

First<-MakingCount(file=filename,bq=0,mq=30)
Count<-First$Count

y_T<-Count$n2+.5
n_T<-Count$n1+Count$n2+1
y_N<-Count$t2+.5
n_N<-Count$t1+Count$t2+1

allcount<-Count[3:6]
allcount$LRT_T<-LRT(y_T, n_T,f0=(0.5/n_T),f1=(y_T/n_T))
allcount$LRT_N<-LRT(y_N, n_N,f0=(0.5/n_N),f1=(y_N/n_N))
allcount$VAF_T<-(Count$t2+.5)/(Count$t2+Count$t1+1)
allcount$VAF_N<-(Count$n2+.5)/(Count$n2+Count$n1+1)


write.table(allcount, Args[4], quote=FALSE, sep = "\t",col.names=FALSE)
